=== doc/CMakeLists.txt ===
INSTALL(
  FILES zypper.8
  DESTINATION ${MANDIR}/man8
)

INSTALL(
  FILES zypper-log.8
  DESTINATION ${MANDIR}/man8
)
