=== tests/utils/CMakeLists.txt ===
ADD_TESTS( text )
