=== debian/changelog ===
zypper (1.11.13-1) unstable; urgency=medium

  * Initial release. (Closes: #761990).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2014 14:22:36 +0200
