=== debian/control ===
Source: zypper
Section: admin
Maintainer: Mike Gabriel <sunweaver@debian.org>
Priority: extra
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               cdbs,
               cmake,
               libreadline-dev,
               libzypp-dev,
               libaugeas-dev,
               libboost-all-dev,
               librpm-dev,
Homepage: https://github.com/openSUSE/zypper
Vcs-Git: git://anonscm.debian.org/collab-maint/zypper.git
Vcs-Browser: http://anoncms.debian.org/gitweb/?p=collab-maint/zypper.git

Package: zypper
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 zypper-common (>= ${source:Version}),
 python,
Description: command line software manager using libzypp
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.

Package: zypper-common
Architecture: all
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (common files)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the arch-independent files of the zypper software
 manager.

Package: zypper-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: command line software manager using libzypp (documentation)
 Zypper is a command line tool for managing software. It can be used to add
 package repositories, search for packages, install, remove, or update packages,
 install patches, hardware drivers, verify dependencies, and more.
 Zypper can be used interactively or non-interactively by user, from scripts,
 or front-ends.
 .
 This package contains the documentation files of the zypper software
 manager.
