## zypper 1.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -94,3 +94,7 @@
   PROGRAMS tools/aptitude
   DESTINATION ${INSTALL_PREFIX}/bin
 )
+INSTALL(
+  DIRECTORY tools/apt-packagemap.d/
+  DESTINATION ${SYSCONFDIR}/zypp/apt-packagemap.d
+)
