=== src/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   update.h
   download.h
   source-download.h
+  configtest.h
   solve-commit.h
   PackageArgs.h
   SolverRequester.h
@@ -45,6 +46,7 @@
   update.cc
   download.cc
   source-download.cc
+  configtest.cc
   solve-commit.cc
   PackageArgs.cc
   RequestFeedback.cc
@@ -72,6 +74,7 @@
 
 SET( zypper_utils_HEADERS
   utils/Augeas.h
+  utils/ansi.h
   utils/colors.h
   utils/console.h
   utils/getopt.h
