=== debian/changelog ===
zypper (1.12.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1002_fix-spelling-errors.patch. Applied upstream.
    + Add 1003_fix-spelling-errors.patch. Fix some new spelling errors that
      appeared since last upload in the upstream sources.
  * debian/copyright{,.in}:
    + Update for this upstream release.
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.
  * lintian:
    + Add override for man page errors. Won't be fixed upstream.
    + Drop override binary-without-manpage usr/sbin/zypp-refresh. Man page
      has been provided by upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jun 2015 10:32:28 +0200
