=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Priority: extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
                cdbs,
                cmake,
