## zypper 1.14.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
   ${CMAKE_MODULE_PATH}
 )
 INCLUDE(ZyppCommon)
+
+OPTION (ENABLE_BUILD_TRANS "Build translation files by default?" ON)
 
 # VERSION
 INCLUDE( ${ZYPPER_SOURCE_DIR}/VERSION.cmake )
@@ -63,9 +65,14 @@
 ENDMACRO(ADD_TESTS)
 
 ADD_SUBDIRECTORY( src )
-ADD_SUBDIRECTORY( po )
 ADD_SUBDIRECTORY( doc )
 ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
+
+IF ( ENABLE_BUILD_TRANS )
+  ADD_SUBDIRECTORY( po )
+ELSE ( ENABLE_BUILD_TRANS )
+  ADD_SUBDIRECTORY( po EXCLUDE_FROM_ALL )
+ENDIF ( ENABLE_BUILD_TRANS )
 
 INCLUDE(CTest)
 ENABLE_TESTING()
@@ -91,7 +98,7 @@
 
 # zypper-aptitude compat tool
 INSTALL(
-  PROGRAMS tools/aptitude
+  PROGRAMS tools/aptitude tools/apt-get tools/apt
   DESTINATION ${INSTALL_PREFIX}/bin
 )
 INSTALL(
