=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Collect all files that may contain translatable texts
+FILE( GLOB_RECURSE POT_FILE_DEPENDS RELATIVE ${ZYPPER_SOURCE_DIR} "*.h" "*.cc" )
+SET( POT_FILE_DEPENDS ${POT_FILE_DEPENDS} PARENT_SCOPE )
+
 ADD_DEFINITIONS (
   -DPACKAGE="${PACKAGE}"
   -DLOCALEDIR="${INSTALL_PREFIX}/share/locale"
@@ -21,9 +25,11 @@
   update.h
   download.h
   source-download.h
+  subcommand.h
   configtest.h
   solve-commit.h
   PackageArgs.h
+  ps.h
   SolverRequester.h
   Summary.h
   callbacks/keyring.h
@@ -46,9 +52,11 @@
   update.cc
   download.cc
   source-download.cc
+  subcommand.cc
   configtest.cc
   solve-commit.cc
   PackageArgs.cc
+  ps.cc
   RequestFeedback.cc
   SolverRequester.cc
   Summary.cc
@@ -84,6 +92,7 @@
   utils/prompt.h
   utils/richtext.h
   utils/text.h
+  utils/XmlFilter.h
 )
 
 SET( zypper_utils_SRCS
@@ -101,11 +110,10 @@
 )
 
 ADD_LIBRARY( zypper_lib STATIC ${zypper_SRCS} ${zypper_out_SRCS} ${zypper_utils_SRCS} )
-TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} )
+TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lxml2 )
 
 ADD_EXECUTABLE( zypper main.cc )
 TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )
-
 
 INSTALL(
   TARGETS zypper
