=== debian/changelog ===
zypper (1.14.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Enforce building against latest libzypp. Bump versioned B-D to >= 17.6.1.
  * debian/rules:
    + Stop repacking the orig tarball. No clue why we started this.
  * debian/patches:
    + Rebase 1002_some-spelling-fixes.patch.
    + Update 1002_some-spelling-fixes.patch. More spelling issues found and
      fixed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Aug 2018 16:59:52 +0200

zypper (1.14.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Add S (zypper): zypper-doc. (Closes: 849982).
    + Switch to versioned B-D on libzypp (>= 17.0.2). (Closes: #812243).
    + Switch from Priority: extra to optional.
    + Add B-D: asciidoctor.
  * debian/{control,compat}:
    + Bump to DH compat level 10.
  * debian/rules: Create orig tarball in ../ rather then $(CURDIR).
    + Enable unit testing at build time.
    + Avoid using dpkg-parsechangelog.
    + Enable all hardening flags.
    + Move bash completion files to /usr/share/bash-completion/completions/.
      Drop .sh file suffix.
  * debian/{rules,zypper.examples}:
    + Don't install zypper wrapper scripts to replace APT to /usr/bin, rather
      ship them as examples.
  * debian/copyright:
    + Use secure URI to obtain copyright references.
    + Update copyright attributions.
    + Regenerate copyright.in for this upstream release.
  * debian/patches:
    + Drop 1003_fix-spelling-errors.patch. Applied upstream.
    + Add 2001_build-tests-with-all.patch. Upstream's ctest build target does
      not trigger the test code build. Dirty work around is building test code
      with the all target.
    + Add 2002_locale-workaround-in-unit-tests.patch. Work around failing unit
      test (Test #3: text_test) due to non-configured locales in sbuild build
      environment).
  * debian/patches:
    + Add 1002_some-spelling-fixes.patch. Thanks lintian.
  * debian/zypper.lintian-overrides:
    + Slightly adapt override manpage-has-errors-from-man.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 10 Jun 2018 11:35:49 +0200
