=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: zypper
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
-Priority: extra
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Standards-Version: 4.2.0
+Build-Depends: asciidoctor,
+               debhelper (>= 10~),
                cdbs,
                cmake,
                libreadline-dev,
-               libzypp-dev,
+               libzypp-dev (>= 17.6.1),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
-Vcs-Git: git://anonscm.debian.org/collab-maint/zypper.git
-Vcs-Browser: http://anoncms.debian.org/gitweb/?p=collab-maint/zypper.git
+Vcs-Git: https://salsa.debian.org/debian/zypper.git
+Vcs-Browser: https://salsa.debian.org/debian/zypper
 
 Package: zypper
 Architecture: any
@@ -22,6 +23,8 @@
  ${misc:Depends},
  zypper-common (>= ${source:Version}),
  python,
+Suggests:
+ zypper-doc,
 Description: command line software manager using libzypp
  Zypper is a command line tool for managing software. It can be used to add
  package repositories, search for packages, install, remove, or update packages,
