## zypper 1.14.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -80,7 +80,7 @@
 
 # documentation too important to be hidden in doc:
 INSTALL(
-  FILES COPYING HACKING
+  FILES HACKING
   DESTINATION ${INSTALL_PREFIX}/share/doc/packages/${PACKAGE}
 )
