=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,12 @@
   callbacks/rpm.h
   callbacks/repo.h
   callbacks/job.h
+  commands/commandhelpformatter.h
+  commands/basecommand.h
+  commands/locks.h
+  commands/locks/add.h
+  commands/locks/list.h
+  commands/locks/remove.h
 )
 
 SET( zypper_SRCS
@@ -61,6 +67,11 @@
   SolverRequester.cc
   Summary.cc
   callbacks/media.cc
+  commands/commandhelpformatter.cc
+  commands/basecommand.cc
+  commands/locks/add.cc
+  commands/locks/list.cc
+  commands/locks/remove.cc
   ${zypper_HEADERS}
 )
 
@@ -93,6 +104,9 @@
   utils/richtext.h
   utils/text.h
   utils/XmlFilter.h
+  utils/flags/zyppflags.h
+  utils/flags/flagtypes.h
+  utils/flags/exceptions.h
 )
 
 SET( zypper_utils_SRCS
@@ -106,6 +120,9 @@
   utils/prompt.cc
   utils/richtext.cc
   utils/text.cc
+  utils/flags/zyppflags.cc
+  utils/flags/flagtypes.cc
+  utils/flags/exceptions.cc
   ${zypper_utils_HEADERS}
 )
