=== debian/changelog ===
zypper (1.14.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 1002_some-spelling-fixes.patch and
      2002_locale-workaround-in-unit-tests.patch.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Sep 2018 13:59:04 +0200

zypper (1.14.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file. Omit .gz files at
      auto-generation.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Bump versioned B-D on libzypp to ">= 17.6.3".

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Aug 2018 10:08:59 +0200
