=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Priority: optional
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Build-Depends: asciidoctor,
                debhelper (>= 10~),
                cdbs,
                cmake,
                libreadline-dev,
-               libzypp-dev (>= 17.6.1),
+               libzypp-dev (>= 17.6.3),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
