=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_BUILD_PARALLEL = 1

DEB_DH_INSTALL_ARGS   += --fail-missing

DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_PREFIX=/usr \
                         -DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
                         -DCMAKE_VERBOSE_MAKEFILE=ON

DEB_MAKE_CHECK_TARGET  = ctest

common-install-indep:: tweak-install remove-cruft
common-install-arch:: tweak-install remove-cruft

tweak-install::
	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions
	mv $(CURDIR)/debian/tmp/etc/bash_completion.d/zypper.sh $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper

remove-cruft::
	rmdir $(CURDIR)/debian/tmp/etc/bash_completion.d
	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/packages/zypper/COPYING

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
