## zypper 1.14.42

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.1)
 PROJECT( ZYPPER C CXX )
 SET( PACKAGE "zypper" )
 
@@ -11,6 +11,7 @@
 INCLUDE(ZyppCommon)
 
 OPTION (ENABLE_BUILD_TRANS "Build translation files by default?" ON)
+OPTION (ENABLE_BUILD_TESTS "Build and run test suite by default?" OFF)
 
 # VERSION
 INCLUDE( ${ZYPPER_SOURCE_DIR}/VERSION.cmake )
@@ -18,8 +19,21 @@
 ADD_DEFINITIONS( -D_FILE_OFFSET_BITS=64 )
 ADD_DEFINITIONS( -DVERSION="${VERSION}" )
 
-SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O2 -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -std=c++11 -fvisibility-inlines-hidden" )
-SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g -O2 -Wall -fstack-protector" )
+SET( CMAKE_CXX_STANDARD ${ZYPPCOMMON_CXX_STANDARD} )
+SET( CMAKE_CXX_EXTENSIONS OFF )
+SET( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3" )
+SET( CMAKE_C_FLAGS_RELEASE   "${CMAKE_C_FLAGS_RELEASE}   -O3" )
+
+SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Woverloaded-virtual -Wnon-virtual-dtor -fstack-protector -fvisibility-inlines-hidden" )
+SET( CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -g -Wall -fstack-protector" )
+
+IF ( LEGACY_ENABLE_LONGOPT_ABBREV )
+  # Fixed in 1.14.34: Do not allow the abbreviation of cli arguments (bsc#1164543)
+  # On SLE15/Leap 15.0 and 15.1 we will stay bug-compatible and accept the
+  # abbreviations in order not to break tools. In 15.2 they must be fixed.
+  MESSAGE( STATUS "LEGACY_ENABLE_LONGOPT_ABBREV" )
+  ADD_DEFINITIONS( -DLEGACY_ENABLE_LONGOPT_ABBREV=1 )
+ENDIF ( LEGACY_ENABLE_LONGOPT_ABBREV )
 
 GENERATE_PACKAGING(${PACKAGE} ${VERSION})
 
@@ -66,7 +80,11 @@
 
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( doc )
-ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
+IF ( ENABLE_BUILD_TESTS )
+  ADD_SUBDIRECTORY( tests )
+ELSE ( ENABLE_BUILD_TESTS )
+  ADD_SUBDIRECTORY( tests EXCLUDE_FROM_ALL )
+ENDIF ( ENABLE_BUILD_TESTS )
 
 IF ( ENABLE_BUILD_TRANS )
   ADD_SUBDIRECTORY( po )
@@ -96,6 +114,12 @@
   DESTINATION ${INSTALL_PREFIX}/sbin
 )
 
+# needs-restarting tool
+INSTALL(
+  PROGRAMS tools/needs-restarting
+  DESTINATION ${INSTALL_PREFIX}/bin
+)
+
 # zypper-aptitude compat tool
 INSTALL(
   PROGRAMS tools/aptitude tools/apt-get tools/apt
@@ -105,3 +129,4 @@
   DIRECTORY tools/apt-packagemap.d/
   DESTINATION ${SYSCONFDIR}/zypp/apt-packagemap.d
 )
+
