=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,36 +13,92 @@
 
 SET (zypper_HEADERS
   Zypper.h
+  Guardians.h
   main.h
   Command.h
   Config.h
   repos.h
+  locales.h
   misc.h
   search.h
   info.h
   Table.h
-  locks.h
   update.h
-  download.h
-  source-download.h
-  subcommand.h
-  configtest.h
   solve-commit.h
   PackageArgs.h
-  ps.h
   SolverRequester.h
   Summary.h
+  global-settings.h
+  issue.h
   callbacks/keyring.h
   callbacks/media.h
   callbacks/rpm.h
   callbacks/repo.h
   callbacks/job.h
+  commands/optionsets.h
   commands/commandhelpformatter.h
+  commands/conditions.h
   commands/basecommand.h
   commands/locks.h
+  commands/locks/common.h
   commands/locks/add.h
+  commands/locks/clean.h
   commands/locks/list.h
   commands/locks/remove.h
+  commands/search/search-packages-hinthack.h
+  commands/search/search.h
+  commands/services.h
+  commands/services/common.h
+  commands/services/list.h
+  commands/services/refresh.h
+  commands/services/add.h
+  commands/services/modify.h
+  commands/services/remove.h
+  commands/repos.h
+  commands/repos/list.h
+  commands/repos/add.h
+  commands/repos/clean.h
+  commands/repos/remove.h
+  commands/repos/rename.h
+  commands/repos/modify.h
+  commands/repos/refresh.h
+  commands/reposerviceoptionsets.h
+  commands/utils.h
+  commands/utils/targetos.h
+  commands/utils/versioncmp.h
+  commands/utils/licenses.h
+  commands/utils/download.h
+  commands/utils/source-download.h
+  commands/utils/purge-kernels.h
+  commands/ps.h
+  commands/needs-rebooting.h
+  commands/query.h
+  commands/query/info.h
+  commands/query/miscqueryinit.h
+  commands/query/packages.h
+  commands/query/patches.h
+  commands/query/patterns.h
+  commands/query/products.h
+  commands/solveroptionset.h
+  commands/installremove.h
+  commands/sourceinstall.h
+  commands/distupgrade.h
+  commands/inrverify.h
+  commands/selectpatchoptionset.h
+  commands/patch.h
+  commands/update.h
+  commands/commonflags.h
+  commands/patchcheck.h
+  commands/listupdates.h
+  commands/listpatches.h
+  commands/nullcommands.h
+  commands/shell.h
+  commands/help.h
+  commands/configtest.h
+  commands/subcommand.h
+  commands/locale/localescmd.h
+  commands/locale/addlocalecmd.h
+  commands/locale/removelocalecmd.h
 )
 
 SET( zypper_SRCS
@@ -50,28 +106,77 @@
   Command.cc
   Config.cc
   repos.cc
+  locales.cc
   misc.cc
   search.cc
   info.cc
   Table.cc
-  locks.cc
   update.cc
-  download.cc
-  source-download.cc
-  subcommand.cc
-  configtest.cc
   solve-commit.cc
   PackageArgs.cc
-  ps.cc
   RequestFeedback.cc
   SolverRequester.cc
   Summary.cc
+  global-settings.cc
+  issue.cc
   callbacks/media.cc
+  commands/optionsets.cc
   commands/commandhelpformatter.cc
+  commands/conditions.cc
   commands/basecommand.cc
+  commands/locks/common.cc
   commands/locks/add.cc
+  commands/locks/clean.cc
   commands/locks/list.cc
   commands/locks/remove.cc
+  commands/search/search-packages-hinthack.cc
+  commands/search/search.cc
+  commands/services/common.cc
+  commands/services/list.cc
+  commands/services/refresh.cc
+  commands/services/add.cc
+  commands/services/modify.cc
+  commands/services/remove.cc
+  commands/repos/list.cc
+  commands/repos/add.cc
+  commands/repos/clean.cc
+  commands/repos/remove.cc
+  commands/repos/rename.cc
+  commands/repos/modify.cc
+  commands/repos/refresh.cc
+  commands/reposerviceoptionsets.cc
+  commands/utils/targetos.cc
+  commands/utils/versioncmp.cc
+  commands/utils/licenses.cc
+  commands/utils/download.cc
+  commands/utils/source-download.cc
+  commands/utils/purge-kernels.cc
+  commands/ps.cc
+  commands/needs-rebooting.cc
+  commands/query/info.cc
+  commands/query/packages.cc
+  commands/query/patches.cc
+  commands/query/patterns.cc
+  commands/query/products.cc
+  commands/solveroptionset.cc
+  commands/installremove.cc
+  commands/sourceinstall.cc
+  commands/distupgrade.cc
+  commands/inrverify.cc
+  commands/selectpatchoptionset.cc
+  commands/patch.cc
+  commands/update.cc
+  commands/patchcheck.cc
+  commands/listupdates.cc
+  commands/listpatches.cc
+  commands/nullcommands.cc
+  commands/shell.cc
+  commands/help.cc
+  commands/subcommand.cc
+  commands/configtest.cc
+  commands/locale/localescmd.cc
+  commands/locale/addlocalecmd.cc
+  commands/locale/removelocalecmd.cc
   ${zypper_HEADERS}
 )
 
@@ -99,6 +204,7 @@
   utils/getopt.h
   utils/messages.h
   utils/misc.h
+  utils/MultiParText.h
   utils/pager.h
   utils/prompt.h
   utils/richtext.h
