=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,3 +15,5 @@
 
 ADD_TESTS( PackageArgs )
 ADD_TESTS( SolverRequester )
+ADD_TESTS( ZyppFlags )
+ADD_TESTS( Locales )
