=== debian/changelog ===
zypper (1.14.42-2) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 15:04:12 +0200

zypper (1.14.42-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Trivial patch rebase.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 00:24:42 +0100

zypper (1.14.41-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against libicu-dev >= 66. (Closes: #959756).
    - Fix FTBFS against boost 1.71 (and 1.74). (Closes: #960427).
  * debian/patches:
    + Drop 0001_bash-port-of-zypper-log.patch. Applied upstream.
    + Drop 2001_build-tests-with-all.patch. Can now be achieved with
      CMake build option.
    + Trivial rebase of 2002_locale-workaround-in-unit-tests.patch.
    + Update / improve 1002_some-spelling-fixes.patch.
  * debian/control:
    + Update versioned B-D on cmake (>= 3.1).
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Update versioned B-D on libzypp-dev (>= 17.25).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
  * debian/rules:
    + Set -DENABLE_BUILD_TESTS switch to 'ON'.
  * debian/watch:
    + Switch to format version 4.
  * lintian:
    + Fix renamed-tag issue.
    + Drop groff-message override.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Jan 2021 23:53:33 +0100

zypper (1.14.11-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_bash-port-of-zypper-log.patch. Drop requirement of Python in
      zypper.
  * debian/control:
    + Drop from D (zypper): python. (Closes: #945728).
    + Bump Standards-Version: to 4.4.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Jan 2020 10:58:53 +0100
