=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
 Priority: optional
-Standards-Version: 4.2.1
 Build-Depends: asciidoctor,
                debhelper (>= 10~),
                cdbs,
-               cmake,
+               cmake (>= 3.1),
                libreadline-dev,
-               libzypp-dev (>= 17.6.3),
+               libzypp-dev (>= 17.25),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/zypper.git
 Vcs-Browser: https://salsa.debian.org/debian/zypper
 
@@ -22,7 +23,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
  zypper-common (>= ${source:Version}),
- python,
 Suggests:
  zypper-doc,
 Description: command line software manager using libzypp
