=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 DEB_DH_INSTALL_ARGS   += --fail-missing
 
-DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_INSTALL_PREFIX=/usr \
+DEB_CMAKE_EXTRA_FLAGS += -DENABLE_BUILD_TESTS=ON \
+                         -DCMAKE_INSTALL_PREFIX=/usr \
                          -DLIB=lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH) \
                          -DCMAKE_VERBOSE_MAKEFILE=ON
