=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
   PackageArgs.h
   SolverRequester.h
   Summary.h
+  CommitSummary.h
   global-settings.h
   issue.h
   callbacks/keyring.h
@@ -110,13 +111,13 @@
   misc.cc
   search.cc
   info.cc
-  Table.cc
   update.cc
   solve-commit.cc
   PackageArgs.cc
   RequestFeedback.cc
   SolverRequester.cc
   Summary.cc
+  CommitSummary.cc
   global-settings.cc
   issue.cc
   callbacks/media.cc
@@ -190,8 +191,6 @@
 )
 
 SET( zypper_out_SRCS
-  output/Out.cc
-  output/OutNormal.cc
   output/OutXML.cc
   ${zypper_out_HEADERS}
 )
@@ -205,6 +204,7 @@
   utils/messages.h
   utils/misc.h
   utils/MultiParText.h
+  utils/Offering.h
   utils/pager.h
   utils/prompt.h
   utils/richtext.h
@@ -217,15 +217,11 @@
 
 SET( zypper_utils_SRCS
   utils/Augeas.cc
-  utils/colors.cc
-  utils/console.cc
   utils/getopt.cc
   utils/messages.cc
   utils/misc.cc
   utils/pager.cc
   utils/prompt.cc
-  utils/richtext.cc
-  utils/text.cc
   utils/flags/zyppflags.cc
   utils/flags/flagtypes.cc
   utils/flags/exceptions.cc
@@ -236,7 +232,7 @@
 TARGET_LINK_LIBRARIES( zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lxml2 )
 
 ADD_EXECUTABLE( zypper main.cc )
-TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )
+TARGET_LINK_LIBRARIES( zypper zypper_lib ${ZYPP_LIBRARY} ${ZYPP_TUI_LIBRARY} ${READLINE_LIBRARY} -laugeas ${AUGEAS_LIBRARY} -lrt )
 
 INSTALL(
   TARGETS zypper
@@ -263,7 +259,7 @@
 # bash completion script
 INSTALL(
   FILES bash-completion.sh
-  DESTINATION ${SYSCONFDIR}/bash_completion.d
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
   RENAME zypper.sh
 )
