=== debian/changelog ===
zypper (1.14.63-1) unstable; urgency=medium

  * New upstream release 1.14.63
  * Mark zypper-common and zypper-doc as MA: foreign
  * d/copyright: use wildcards to shorten and fix Lintian warnings
  * d/copyright: update upstream-contact to project mailing list
  * Bash completion is now installed to /usr/share by cmake, adjust
    packaging

 -- Luca Boccassi <bluca@debian.org>  Sun, 27 Aug 2023 12:12:21 +0100

zypper (1.14.62-1) unstable; urgency=medium

  * New upstream release 1.14.62

 -- Luca Boccassi <bluca@debian.org>  Sun, 30 Jul 2023 13:52:29 +0100

zypper (1.14.61-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.1, no changes needed.

  [ Luca Boccassi ]
  * New upstream release 1.14.61 (Closes: #1040437)
  * Bump Standards-Version to 4.6.2, no changes
  * Drop 2002_locale-workaround-in-unit-tests.patch, fixed upstream
  * Refresh 1002_some-spelling-fixes.patch for 1.14.61
  * Add myself as uploader
  * Bump dependency on libzypp to 17.31

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jul 2023 11:09:43 +0100
