=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: zypper
 Section: admin
 Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Luca Boccassi <bluca@debian.org>
 Priority: optional
 Build-Depends: asciidoctor,
                debhelper (>= 10~),
                cdbs,
                cmake (>= 3.1),
                libreadline-dev,
-               libzypp-dev (>= 17.25),
+               libzypp-dev (>= 17.31),
                libaugeas-dev,
                libboost-all-dev,
                librpm-dev,
 Homepage: https://github.com/openSUSE/zypper
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/zypper.git
 Vcs-Browser: https://salsa.debian.org/debian/zypper
 
@@ -34,6 +35,7 @@
 
 Package: zypper-common
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: command line software manager using libzypp (common files)
@@ -49,6 +51,7 @@
 Package: zypper-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: command line software manager using libzypp (documentation)
