=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,9 @@
 common-install-arch:: tweak-install remove-cruft
 
 tweak-install::
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions
-	mv $(CURDIR)/debian/tmp/etc/bash_completion.d/zypper.sh $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper
+	mv $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper.sh $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/zypper
 
 remove-cruft::
-	rmdir $(CURDIR)/debian/tmp/etc/bash_completion.d
 	rm -f $(CURDIR)/debian/tmp/usr/bin/apt*
 	rm -f $(CURDIR)/debian/tmp/usr/bin/installation_sources
 	rm -f $(CURDIR)/debian/tmp/usr/share/doc/packages/zypper/COPYING
-
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..
